> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Single Config (token address/chain)

> Fetch config for a token by address



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /config/tokens
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /config/tokens:
    get:
      tags:
        - configs
      summary: Single Config (token address/chain)
      description: Fetch config for a token by address
      operationId: configs.configTokenAddressChain
      parameters:
        - name: chain
          in: query
          schema:
            type: string
            description: The blockchain chain identifier (e.g., "ETHEREUM", "ARBITRUM").
          required: true
          description: The blockchain chain identifier (e.g., "ETHEREUM", "ARBITRUM").
        - name: tokenAddress
          in: query
          schema:
            type: string
            description: The token contract address on the specified chain.
          required: true
          description: The token contract address on the specified chain.
      responses:
        '200':
          description: ExtendedTokenEntry
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedTokenEntry'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidTokenForChain'
                  - $ref: '#/components/schemas/InvalidToken'
      security: []
components:
  schemas:
    ExtendedTokenEntry:
      type: object
      required:
        - decimals
        - coingeckoId
        - token
        - address
        - chain
      properties:
        decimals:
          type: number
        coingeckoId:
          type: string
        maxDepositLimit:
          type: number
          description: Maximum deposit limit for the token on this chain.
        maxWithdrawLimit:
          type: number
          description: Maximum withdraw limit for the token on this chain.
        minAmountUsdInContract:
          type: number
          description: >-
            Minimum USD amount required in the contract for this token on this
            chain.
        allowedRouteChains:
          type: array
          items:
            type: string
          description: >-
            Whitelist of chains this token may be sent to / received from on
            this chain. If absent, all chains are allowed.
        token:
          type: string
          description: Token symbol or identifier (e.g., "USDT", "ETH").
        address:
          type: string
          description: Contract address of the token on the specified chain.
        chain:
          type: string
          description: Blockchain network identifier (e.g., "ETHEREUM", "BASE").
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidTokenForChain:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidTokenForChain
      additionalProperties: false
    InvalidToken:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidToken
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol

````